std::move_constructible(3cxx)

NAME
std::move_constructible - [concept.moveconstructible], concept move_constructible

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Tp>
concept std::move_constructible =  constructible_from<_Tp, _Tp> && convertible_to<_Tp, _Tp>

Detailed Description

[concept.moveconstructible], concept move_constructible

Author

Generated automatically by Doxygen for libstdc++ from the source code.